<?php
/**
 * @package Mr_Footer_Text
 * @version 1
 */
/*
Plugin Name: Mr. Footer Text
Plugin URI: https://www.zbtechgroup.com/mr-footer-text/
Description: Replaces the footer text and hides the original theme footer copyright text.
Author: Anthony Zbierajewski
Version: 1
Author URI: http://zbtechgroup.com
*/

add_action('wp_head', 'mr_footer_hide_do');
add_action('wp_footer', 'mr_footer_html_do');
add_option('mr_footer_text_old_class', 'nothing');
add_option('mr_footer_text_new_html', 'nothing');
add_action('admin_menu', 'mrfootertext_menu');

function mr_footer_hide_do(){
    echo '<style>
    .' . get_option('mr_footer_text_old_class') . ' {
        visibility: hidden !important;
    }
    </style>';
    }
function mr_footer_html_do(){
        echo get_option('mr_footer_text_new_html');
        }
function mrfootertext_menu(){
add_options_page( 'Change Footer', 'Change Footer', 'manage_options', 'mr-footer-text', 'mr_footer_text_admin');
}
function mr_footer_text_admin(){
	echo '<div class="wrap">';
	if(isset($_REQUEST["mr_footer_text_old_class"])){
    update_option('mr_footer_text_old_class', $_REQUEST["mr_footer_text_old_class"]);
    update_option('mr_footer_text_new_html', stripslashes(wp_filter_post_kses(addslashes($_REQUEST["mr_footer_text_new_html"]))));
	echo '<b>Settings Updated!</b>';
	}
	echo '<p>Input the CSS class name of the HTML Div tag you would like to hide in the first box. In the second box, input the NEW HTML you would like to be visible on the footer.</p>';
	echo '<p><form name="mr_footer" action="" method="post"></p>';
    echo '<p>Old Footer Class Name: <input type="text" name="mr_footer_text_old_class" value="' . get_option('mr_footer_text_old_class') . '" /></p>';
    echo '<p>New Footer HTML: <textarea col=10 rows=10 name="mr_footer_text_new_html" >' . get_option('mr_footer_text_new_html') . '</textarea></p>';
	echo '<p><input type="submit" class="button-primary" value="Save Changes" /></p>';
	echo '<p></form></p>';
	echo 'For support and more information please visit <a href="http://zbtechgroup.com/">http://zbtechgroup.com/</a>';
	echo '</div>';
}
